Package com.pixelmed.database

## Class RebuildDatabaseFromInstanceFiles

- java.lang.Object
- - com.pixelmed.database.RebuildDatabaseFromInstanceFiles

-     public class RebuildDatabaseFromInstanceFiles
      extends java.lang.Object

  This class allows the reconstruction of a database from the stored instance files, such as when the database schema model has been changed.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RebuildDatabaseFromInstanceFiles()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `main​(java.lang.String[] arg)` | Read the DICOM files listed on the command line, load them into the specified model and store the database files in the specified location.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RebuildDatabaseFromInstanceFiles

          public RebuildDatabaseFromInstanceFiles()

  - ### Method Detail

    - #### main

          public static void main​(java.lang.String[] arg)

      Read the DICOM files listed on the command line, load them into the specified model and store the database files in the specified location.

      Parameters:
        `arg` - the class name of the model, the (full) path of the database file prefix, and a list of DICOM file names or directories